2026-06-16 23:32:20 UTC
294 MB
/usr/java/openjdk-28
JAVA_VERSION28-ea+2
LANGC.UTF-8
PATH/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ded2aa0abafd1e1e93e05338cb1b14916dbeb283d3862aa21e5d8b0164f4cbf3 - 13.98% (41.1 MB)
[#001] sha256:896404133cc1e382d6b3c749ab5b7f2ba53faaed86d789cc099c1fc48a98c725 - 12.23% (35.9 MB)
[#002] sha256:c6c48ecad05c3698573cf45bb0426cace8803fad1388f63cf0d096454db4e679 - 73.79% (217 MB)
ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit
2026-05-12 18:44:08 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-06-16 23:32:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-06-16 23:32:20 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-28
2026-06-16 23:32:20 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-06-16 23:32:20 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-06-16 23:32:20 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=28-ea+2
2026-06-16 23:32:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_linux-x64_bin.tar.gz'; downloadSha256='f76b8c907a5e747c088e4215cb0d0b5ddd0bfb0080b1c8dd6108628040ace495'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_linux-aarch64_bin.tar.gz'; downloadSha256='47eb3a6535a8d4a9468ea18463225459e824139064bc48c6527e4574cdaa08ae'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-06-16 23:32:20 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-06-16 23:40:12 UTC
2.33 GB
C:\openjdk-28
JAVA_SHA2566e0811bf75540123fa28845352ebc400893f45c2b1ad8bedcf7837395fce7e5e
JAVA_URLhttps://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_windows-x64_bin.zip
JAVA_VERSION28-ea+2
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 60.83% (1.42 GB)
[#001] sha256:2ee71d57b2226db82d002abc39a97b7dd144f007db435566364a0285bf115b83 - 30.2% (721 MB)
[#002] sha256:a298932495c13e91f62335a0e5296c0ae05289913cf23ab2b14a96762d146045 - 0.0% (1.28 KB)
[#003] sha256:e5f8646ae131f2e0dfb955d73c396f289956d627dd2d67ea29fc31957d86db37 - 0.02% (387 KB)
[#004] sha256:4da9242152f2dd0f314fd3e47e4324a3e732dd5a880bb7f7ac4b9ae0f75b9ef1 - 0.0% (1.23 KB)
[#005] sha256:601787c3a581561d148ead7f38fc2d96c09c354181fd47e3076b2b099ab17b71 - 0.02% (377 KB)
[#006] sha256:515d1b7ec672ee336ac997468fd2a77aebc198a803a6d84ff22136d5b8e8621b - 0.0% (1.26 KB)
[#007] sha256:0fd9b3cc6a77aa84795adfd5ee18e38e14d1192df4cb604ee4bf460b8a915f3e - 0.0% (1.25 KB)
[#008] sha256:9b9f1c75ca71dee3c93ed21acefe9d1e9b249bf5c9a8e1e4e4c6b036e605d160 - 0.0% (1.23 KB)
[#009] sha256:9555db5abdfbbd37e72fd02835d39dd26cbbd33a3ebad410b0858995ae783f70 - 8.94% (214 MB)
[#010] sha256:8cefae35cdc92300c17343df10892024a2bc82f8433b3ba7c0edd45711e621a4 - 0.0% (1.27 KB)
Apply image 10.0.26100.32230
2026-06-07 07:36:39 UTCInstall update 10.0.26100.32995
2026-06-16 23:38:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-06-16 23:39:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-06-16 23:39:14 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28
2026-06-16 23:39:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-06-16 23:39:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+2
2026-06-16 23:39:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_windows-x64_bin.zip
2026-06-16 23:39:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=6e0811bf75540123fa28845352ebc400893f45c2b1ad8bedcf7837395fce7e5e
2026-06-16 23:40:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-06-16 23:40:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-06-16 23:39:53 UTC
2.2 GB
C:\openjdk-28
JAVA_SHA2566e0811bf75540123fa28845352ebc400893f45c2b1ad8bedcf7837395fce7e5e
JAVA_URLhttps://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_windows-x64_bin.zip
JAVA_VERSION28-ea+2
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 63.18% (1.39 GB)
[#001] sha256:6897a04901ec162be0eabd7eb636b5ac50d6e37c880f1db618610f2d777b1ce6 - 27.29% (613 MB)
[#002] sha256:ac2bd52046d8de3425deb30c353fd410e1f7e2f30ab0079e8a5a1e5da69227c3 - 0.0% (1.29 KB)
[#003] sha256:320f8fbe718f637b6dfbb24e5a6b6a11f17cdcd75cd4e795447909dc6f436814 - 0.02% (491 KB)
[#004] sha256:92f46c3a74f1519223a1dd7e69709acdb809643ed60eabf9051dfeb9c3315954 - 0.0% (1.29 KB)
[#005] sha256:1ccce64e30b0b795abb8456e9f4b2e764135161ad1ef4b2c766e9d59d3d9de9e - 0.01% (344 KB)
[#006] sha256:89971b99667cb450c91422376a831a740e26eb0675b620ac3abc988d9dc1b8f1 - 0.0% (1.29 KB)
[#007] sha256:e58e3f24cba59a91e25078d5cf65f974683b35c3bd99675b3096abafe001dd37 - 0.0% (1.31 KB)
[#008] sha256:59f221e07f2778a05cf0ea6bfac2624a7a91902141924209218204a6f4d376a2 - 0.0% (1.27 KB)
[#009] sha256:5177dad8097483c5e6c8b26c1003de199205e047821800b96f7a8a452029ecb0 - 9.5% (214 MB)
[#010] sha256:47e2b8512b52b2583ade435eb3b75d25231e10082a73fdc812d728241669bbf2 - 0.0% (1.29 KB)
Apply image 10.0.20348.4294
2026-06-07 06:43:23 UTCInstall update 10.0.20348.5256
2026-06-16 23:38:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-06-16 23:39:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-06-16 23:39:14 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28
2026-06-16 23:39:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-06-16 23:39:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+2
2026-06-16 23:39:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_windows-x64_bin.zip
2026-06-16 23:39:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=6e0811bf75540123fa28845352ebc400893f45c2b1ad8bedcf7837395fce7e5e
2026-06-16 23:39:52 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-06-16 23:39:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-06-16 23:32:13 UTC
290 MB
/usr/java/openjdk-28
JAVA_VERSION28-ea+2
LANGC.UTF-8
PATH/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:523b5fcd95921b1880258a8c56e30985e8f3adf21d143bf177907dc76d6a562b - 13.62% (39.6 MB)
[#001] sha256:c27f3d34c927e746b9b26a64a66424b63c02c12f7b4501bc1455ed826c88775e - 12.38% (35.9 MB)
[#002] sha256:ebe45583bf226847dc4e146c13ed42fe86919241985db802d4c5ac6077e55a4e - 74.0% (215 MB)
ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-05-12 18:43:55 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-06-16 23:31:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-06-16 23:32:13 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-28
2026-06-16 23:32:13 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-06-16 23:32:13 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-06-16 23:32:13 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=28-ea+2
2026-06-16 23:32:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_linux-x64_bin.tar.gz'; downloadSha256='f76b8c907a5e747c088e4215cb0d0b5ddd0bfb0080b1c8dd6108628040ace495'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/2/GPL/openjdk-28-ea+2_linux-aarch64_bin.tar.gz'; downloadSha256='47eb3a6535a8d4a9468ea18463225459e824139064bc48c6527e4574cdaa08ae'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-06-16 23:32:13 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.